Package org.apache.felix.hc.core.impl.filter

## Annotation Type AdhocResultDuringRequestProcessingFilter.Config

    public static @interface AdhocResultDuringRequestProcessingFilter.Config

### Required Element Summary

Required Elements
`String` `osgi_http_whiteboard_filter_regex`

### Optional Element Summary

Optional Elements
`long` `delayProcessingInSec`
`String` `hcName`
`String` `method`
`String` `osgi_http_whiteboard_context_select`
`org.apache.felix.hc.api.Result.Status` `statusDuringRequestProcessing`
`String[]` `tags`
`String[]` `tagsDuringDelayedProcessing`
`String` `userAgentRegEx`
`String[]` `waitAfterProcessing_forTags`
`long` `waitAfterProcessing_initialWait`
`long` `waitAfterProcessing_maxDelay`
`String` `webconsole_configurationFactory_nameHint`

### Element Detail

#### osgi_http_whiteboard_filter_regex

    String osgi_http_whiteboard_filter_regex

#### osgi_http_whiteboard_context_select

    String osgi_http_whiteboard_context_select

Default:
  "(osgi.http.whiteboard.context.name=*)"

#### method

    String method

Default:
  ""

#### userAgentRegEx

    String userAgentRegEx

Default:
  ""

#### hcName

    String hcName

Default:
  "Ongoing request"

#### tags

    String[] tags

Default:
  {}

#### statusDuringRequestProcessing

    org.apache.felix.hc.api.Result.Status statusDuringRequestProcessing

Default:
  org.apache.felix.hc.api.Result.Status.TEMPORARILY_UNAVAILABLE

#### delayProcessingInSec

    long delayProcessingInSec

Default:
  0L

#### tagsDuringDelayedProcessing

    String[] tagsDuringDelayedProcessing

Default:
  {}

#### waitAfterProcessing_forTags

    String[] waitAfterProcessing_forTags

Default:
  {}

#### waitAfterProcessing_initialWait

    long waitAfterProcessing_initialWait

Default:
  3L

#### waitAfterProcessing_maxDelay

    long waitAfterProcessing_maxDelay

Default:
  120L

#### webconsole_configurationFactory_nameHint

    String webconsole_configurationFactory_nameHint

Default:
  "{hc.name} ({osgi.http.whiteboard.filter.regex} {method} {userAgentRegEx}) -> {statusDuringRequestProcessing} for tags {tags} {tagsDuringDelayedProcessing}"